Subject: RE: sshd + bash = crush on CRs
From: "Eramo, Mark" <[email-masked]>
To: <[email-masked]>
Cc: "Eric Blake" <[email-masked]>
Date: Fri, 9 Mar 2007 08:35:59 -0500
List-Id: <cygwin.cygwin.com>

According to Eramo, Mark on 3/8/2007 2:41 PM:
> 
>> Reread the release announcement.  SHELLOPTS auto-tracks
>> shell option settings, so you can do this in your .bash_profile:
> 
>> export SHELLOPTS
>> set -o igncr
> 
> After adding this to my .bash_profile and starting Cygwin, I get the
> following message
> 
> bash: igncr: invalid option name
> bash: set: igncr: invalid option name
> 
> So it does not see this as a valid option. Am I missing something? 

> What version of bash did you use?  If it's not the latest cygwin
version,
> then that would explain it.

> - --
> Don't work too hard, make some time for fun as well!

> Eric Blake             [email-masked]
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.5 (Cygwin)
> Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

> iD8DBQFF8MSf84KuGfSFAYARAhsRAJ9Bo3gaBgep6gGgAtZCs/ibpnqnOQCfaDvB
> i9Ic5uNDnIUzkvc18Abmzp4=
> =bq2I
> -----END PGP SIGNATURE-----

Thanks for the heads up. Last evening, I actually installed the latest
version of bash (3.2.9). Today when I start Cygwin, I no longer see the
invalid option messages now so I know it's being set. I will retest my
shell script creation now

Regards,

Mark

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/